curl --location 'https://primaryapi.cicle.app/api/v1/my-tasks/cards/list/all?companyId=' \
--header 'Authorization: Bearer <token>'{
"message": "string",
"data": [
{
"name": "string",
"cover": "string",
"creator": "string",
"members": [
{
"_id": "string",
"fullName": "string",
"photoUrl": "string"
}
],
"checklists": [
"string"
],
"allChecklistItemsCount": {
"completed": 0,
"total": 0
},
"cheers": [
{
"_id": "string",
"content": "string",
"creator": {
"_id": "string",
"photoUrl": "string"
},
"receiver": "string",
"primaryParent": {
"id": "string",
"type": "string"
},
"secondaryParent": {
"id": "string",
"type": "string"
},
"isNotified": true,
"comment": "string",
"card": "string",
"featureType": "string",
"company": "string",
"team": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0,
"notification": "string"
}
],
"comments": [
"string"
],
"labels": [
{
"_id": "string",
"name": "string",
"creator": "string",
"color": {
"_id": "string",
"name": "string"
},
"company": "string",
"team": "string",
"board": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0
}
],
"attachments": [
{
"_id": "string",
"name": "string",
"url": "string",
"creator": {
"_id": "string",
"fullName": "string",
"photoUrl": "string"
},
"type": "string",
"mimeType": "string",
"isDeleted": true,
"company": "string",
"team": "string",
"card": "string",
"seen": [
"string"
],
"cheers": [
{
"_id": "string",
"content": "string",
"creator": {
"_id": "string",
"photoUrl": "string"
},
"receiver": "string",
"primaryParent": {
"id": "string",
"type": "string"
},
"secondaryParent": {
"id": "string",
"type": "string"
},
"isNotified": true,
"comment": "string",
"card": "string",
"featureType": "string",
"company": "string",
"team": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0,
"notification": "string"
}
],
"createdAt": "string",
"updatedAt": "string",
"__v": 0
}
],
"complete": {
"status": true,
"type": "todo",
"setAt": "string",
"updatedAt": "string"
},
"isNotified": {
"startOneHour": true,
"startOneDay": true,
"dueOneHour": true,
"dueOneDay": true
},
"archived": {
"status": true
},
"isPublic": true,
"workload": {
"value": null,
"measurement": "string"
},
"company": "string",
"team": "string",
"board": "string",
"list": "string",
"seen": [
"string"
],
"_id": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0
}
]
}